Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy
Class DefaultArtifact

    java.lang.Object
      fr.jayasoft.ivy.AbstractArtifact
          fr.jayasoft.ivy.DefaultArtifact

All Implemented Interfaces:
  Artifact

public class DefaultArtifact
extends AbstractArtifact

Author:
  Hanin

Field Summary
`(package private) ArtifactRevisionId` | `_arid`
`(package private) java.util.Date` | `_publicationDate`

Constructor Summary
`DefaultArtifact(ModuleRevisionId mrid, java.util.Date publicationDate, java.lang.String name, java.lang.String type, java.lang.String ext)`

Method Summary
`static Artifact` | `cloneWithAnotherType(Artifact artifact, java.lang.String newType)`
`java.lang.String[]` | `getConfigurations()`
`java.lang.String` | `getExt()`
`ArtifactRevisionId` | `getId()`
`ModuleRevisionId` | `getModuleRevisionId()` Returns the resolved module revision id for this artifact
`java.lang.String` | `getName()`
`java.util.Date` | `getPublicationDate()` Returns the resolved publication date for this artifact
`java.lang.String` | `getType()`

Methods inherited from class fr.jayasoft.ivy.AbstractArtifact
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### _publicationDate

    java.util.Date _publicationDate

### _arid

    ArtifactRevisionId _arid

Constructor Detail

### DefaultArtifact

    public DefaultArtifact(ModuleRevisionId mrid,
                           java.util.Date publicationDate,
                           java.lang.String name,
                           java.lang.String type,
                           java.lang.String ext)

Method Detail

### cloneWithAnotherType

    public static Artifact cloneWithAnotherType(Artifact artifact,
                                                java.lang.String newType)

### getModuleRevisionId

    public ModuleRevisionId getModuleRevisionId()

  Description copied from interface: `Artifact`
  Returns the resolved module revision id for this artifact

  Returns:

### getName

    public java.lang.String getName()

### getPublicationDate

    public java.util.Date getPublicationDate()

  Description copied from interface: `Artifact`
  Returns the resolved publication date for this artifact

  Returns:
    the resolved publication date

### getType

    public java.lang.String getType()

### getExt

    public java.lang.String getExt()

### getId

    public ArtifactRevisionId getId()

  Returns:
    the id of the artifact

### getConfigurations

    public java.lang.String[] getConfigurations()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD